List of transactions
Authorization
BearerAuth In: header
Query Parameters
Number of items to return per page (max 100).
1 <= value <= 10025Page index for pagination.
1 <= value1Filter by transaction status (e.g. COMPLETED, REJECTED).
Filter for transactions created on or after this date.
date-timeFilter by operation direction (INCOMING or OUTGOING).
Filter by transaction type.
Filter by account.
uuidFilter by source transaction id (e.g. for refunds).
uuidFilter transactions by alias UUID.
uuidFilter transactions by linked gateway payment UUID.
uuidFilter by exact IBAN. Matches the beneficiary, beneficiary alias or sender identification.
Filter by exact account number. Matches the beneficiary, beneficiary alias or sender identification.
Sort order by createdAt field (desc by default).
Value in
- "asc"
- "desc"
Header Parameters
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/transactions" \ -H "X-Volt-Api-Version: 1"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "CREATED", "failure": { "code": "string" }, "operation": "OUTGOING", "type": "PAYOUT", "subtype": "OPEN_LOOP", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "amount": 123, "currency": "EUR", "paymentReference": "string", "internalReference": "string", "paymentRail": "string", "beneficiary": { "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "alias": { "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479" }, "name": "string", "email": "user@example.com", "country": "DE", "accountIdentifiers": { "iban": "PL61109010140000071219812874", "swiftBic": "WBKPPLPP" }, "address": { "addressLine1": "string", "addressLine2": "string", "city": "string", "postalCode": "string", "country": "DE" } }, "sender": { "name": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "accountIdentifiers": { "iban": "PL61109010140000071219812874", "swiftBic": "WBKPPLPP" } }, "initiatedBy": { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" } }, "gatewayPaymentId": "08a2dec1-3524-4816-9244-96c1ec176295", "sourceTransactionId": "6ad9e2ad-9fbe-4a37-98e5-be515b1f31a2", "decisions": [ { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" }, "type": "APPROVED", "subject": "ACCOUNT_HOLDER_VERIFICATION", "createdAt": "2019-08-24T14:15:22Z" } ], "verifications": { "accountHolderVerification": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "result": "MATCH", "executedAt": "2019-08-24T14:15:22Z" } } }]{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "METHOD_NOT_SUPPORTED", "message": "string"}{ "code": "MEDIA_TYPE_NOT_ACCEPTABLE", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}